Bug 161462 - Refactor MobileMiniBrowser into an application framework to allow external XCTesting
Summary: Refactor MobileMiniBrowser into an application framework to allow external XC...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on: 161505
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-31 15:54 PDT by Jer Noble
Modified: 2016-09-02 11:03 PDT (History)
2 users (show)

See Also:


Attachments
Patch (114.97 KB, patch)
2016-08-31 17:27 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (53.63 KB, patch)
2016-08-31 17:30 PDT, Jer Noble
eric.carlson: review+
Details | Formatted Diff | Diff
Patch for landing (298.31 KB, patch)
2016-09-02 10:35 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2016-08-31 15:54:02 PDT
Refactor MobileMiniBrowser into an application framework to allow external XCTesting
Comment 1 Jer Noble 2016-08-31 17:27:42 PDT
Created attachment 287578 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2016-08-31 17:28:58 PDT
<rdar://problem/28107728>
Comment 3 Jer Noble 2016-08-31 17:30:21 PDT
Created attachment 287579 [details]
Patch
Comment 4 Jer Noble 2016-08-31 21:26:20 PDT
(In reply to comment #3)
> Created attachment 287579 [details]
> Patch

The ews iOS-sim build error is unrelated to this patch.
Comment 5 Jer Noble 2016-09-01 10:34:33 PDT
Committed r205295: <http://trac.webkit.org/changeset/205295>
Comment 6 WebKit Commit Bot 2016-09-01 13:16:48 PDT
Re-opened since this is blocked by bug 161505
Comment 7 Jer Noble 2016-09-02 10:35:01 PDT
Created attachment 287774 [details]
Patch for landing
Comment 8 Jer Noble 2016-09-02 11:03:52 PDT
Committed r205353: <http://trac.webkit.org/changeset/205353>